package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.util.Date;

/**
 * <p>
 * 采购合同-电子合同信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-13
 */
@TableName("c_purch_contract_electronic_info")
public class CPurchContractElectronicInfo extends BaseEntity {

    public static final Integer SIGN_STATUS_NOT_FINISH = 0;
    public static final Integer SIGN_STATUS_FINISH = 1;

    private static final long serialVersionUID = 1L;

    /**
     * 认证链接
     */
    @TableField("certify_link")
    private String certifyLink;

    /**
     * 认证状态
     */
    @TableField("certify_status")
    private Boolean certifyStatus;

    /**
     * 合同链接
     */
    @TableField("contract_link")
    private String contractLink;

    /**
     * 签署状态
     */
    @TableField("sign_status")
    private Boolean signStatus;

    /**
     * 客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long cPurchContractBasicInfoId;

    /**
     * 签署短链接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 签署短链接创建时间
     */
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /**
     * 客户合同交易id
     */
    @TableField("transaction_id")
    private String transactionId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同名称
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 是否回调 0 未回调 1 回调
     */
    @TableField("call_back")
    private Boolean callBack;

    public String getCertifyLink() {
        return certifyLink;
    }

    public void setCertifyLink(String certifyLink) {
        this.certifyLink = certifyLink;
    }

    public Boolean getCertifyStatus() {
        return certifyStatus;
    }

    public void setCertifyStatus(Boolean certifyStatus) {
        this.certifyStatus = certifyStatus;
    }

    public Boolean getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Boolean signStatus) {
        this.signStatus = signStatus;
    }

    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public Long getcPurchContractBasicInfoId() {
        return cPurchContractBasicInfoId;
    }

    public void setcPurchContractBasicInfoId(Long cPurchContractBasicInfoId) {
        this.cPurchContractBasicInfoId = cPurchContractBasicInfoId;
    }

    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public Boolean getCallBack() {
        return callBack;
    }

    public void setCallBack(Boolean callBack) {
        this.callBack = callBack;
    }

    @Override
    public String toString() {
        return "CPurchContractElectronicInfo{" +
                ", certifyLink=" + certifyLink +
                ", certifyStatus=" + certifyStatus +
                ", contractLink=" + contractLink +
                ", signStatus=" + signStatus +
                ", fddCustomerId=" + fddCustomerId +
                ", cPurchContractBasicInfoId=" + cPurchContractBasicInfoId +
                ", shortContractLink=" + shortContractLink +
                ", shortContractLinkCreate=" + shortContractLinkCreate +
                ", transactionId=" + transactionId +
                ", contractName=" + contractName +
                ", contractId=" + contractId +
                ", callBack=" + callBack +
                "}";
    }
}
